Subject: [alpine-aports] [PATCH] testing/dmz-cursor-theme: new aport

From: AmatCoder <[email-masked]>
Date: Tue, 30 Dec 2014 08:02:44 +0000

---
 testing/dmz-cursor-theme/APKBUILD | 51 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/dmz-cursor-theme/APKBUILD

diff --git a/testing/dmz-cursor-theme/APKBUILD b/testing/dmz-cursor-theme/APKBUILD
new file mode 100644
index 0000000..1b92ea8
--- /dev/null
+++ b/testing/dmz-cursor-theme/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: August Klein <[email-masked]>
+# Maintainer: August Klein <[email-masked]>
+pkgname=dmz-cursor-theme
+pkgver=0.4.4
+pkgrel=0
+pkgdesc="DMZ cursor theme"
+url="http://jimmac.musichall.cz"
+arch="noarch"
+license="CC-BY-SA"
+depends=""
+depends_dev=""
+makedepends="xcursorgen"
+install=""
+subpackages="dmz-aa-cursor-theme:aa"
+source="http://ftp.de.debian.org/debian/pool/main/d/$pkgname/"$pkgname"_"$pkgver".tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"/DMZ-White/pngs
+	 ./make.sh || return 1
+	cd "$_builddir"/DMZ-Black/pngs
+	 ./make.sh || return 1
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/share/icons/Vanilla-DMZ/cursors || return 1
+	cp -a DMZ-White/xcursors/* "$pkgdir"/usr/share/icons/Vanilla-DMZ/cursors || return 1
+	install -Dm644 DMZ-White/index.theme "$pkgdir"/usr/share/icons/Vanilla-DMZ/index.theme
+}
+
+aa() {
+	cd "$_builddir"
+	mkdir -p "$subpkgdir"/usr/share/icons/Vanilla-DMZ-AA/cursors || return 1
+	cp -a DMZ-Black/xcursors/* "$subpkgdir"/usr/share/icons/Vanilla-DMZ-AA/cursors || return 1
+	install -Dm644 DMZ-Black/index.theme "$subpkgdir"/usr/share/icons/Vanilla-DMZ-AA/index.theme
+}
+
+md5sums="06fbab13df89c5770ce61b0e3e31e5f6  dmz-cursor-theme_0.4.4.tar.gz"
+sha256sums="46af4cf1356df799f9ee94451f05d0bdbb8d82e54bdeae3f32fa107602359981  dmz-cursor-theme_0.4.4.tar.gz"
+sha512sums="e0f455e3b66c0acb87eb9f017e7d7e6e16782a58c8c3a3518c879d1251372beaf92bdf87775ee72ff6eb477385f4f58e6d00479967d634337c5fae766179a5d3  dmz-cursor-theme_0.4.4.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---